OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class EventdConfigFactory

    java.lang.Object
      org.opennms.netmgt.config.EventdConfigFactory

public final class EventdConfigFactory
extends java.lang.Object

This is the singleton class used to load the configuration for the OpenNMS Eventd from the eventd-configuration xml file. Note: Users of this class should make sure the init() is called before calling any other method to ensure the config is loaded before accessing other convenience methods.

Author:
  Sowmya Nataraj , OpenNMS

Field Summary
`private EventdConfiguration` `m_config` The config class loaded from the config file
`private static boolean` `m_loaded` This member is set to true if the configuration file has been loaded.
`private static EventdConfigFactory` `m_singleton` The singleton instance of this factory

Constructor Summary
`private` `EventdConfigFactory(java.lang.String configFile)` Private constructor

Method Summary
`java.lang.String` `getGetNextEventID()` Return the SQL statemet to get the next event ID.
`static EventdConfigFactory` `getInstance()` Return the singleton instance of this factory.
`int` `getReceivers()` Return the number of event receivers to be started.
`int` `getSocketSoTimeoutPeriod()` Return timeout to be set on the socket.
`java.lang.String` `getSocketSoTimeoutRequired()` Return string indicating if timeout is to be set on the socket.
`int` `getTCPPort()` Return the port on which eventd listens for TCP connections.
`int` `getUDPPort()` Return the port on which eventd listens for UDP data.
`boolean` `hasSocketSoTimeoutPeriod()` Return flag indicating if timeout to be set on the socket is specified.
`static void` `init()` Load the config from the default config file and create the singleton instance of this factory.
`static void` `reload()` Reload the config from the default config file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_singleton

    private static EventdConfigFactory m_singleton

  The singleton instance of this factory

### m_config

    private EventdConfiguration m_config

  The config class loaded from the config file

### m_loaded

    private static boolean m_loaded

  This member is set to true if the configuration file has been loaded.

Constructor Detail

### EventdConfigFactory

    private EventdConfigFactory(java.lang.String configFile)
                         throws java.io.IOException,
                                org.exolab.castor.xml.MarshalException,
                                org.exolab.castor.xml.ValidationException

  Private constructor

Throws:
  `java.io.IOException` - Thrown if the specified config file cannot be read
  `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
  `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Load the config from the default config file and create the singleton instance of this factory.

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### reload

    public static void reload()
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Reload the config from the default config file

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read/loaded
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### getInstance

    public static EventdConfigFactory getInstance()

  Return the singleton instance of this factory.

  Returns:
    The current factory instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the factory has not yet been initialized.

### getTCPPort

    public int getTCPPort()

  Return the port on which eventd listens for TCP connections.

  Returns:
    the port on which eventd listens for TCP connections

### getUDPPort

    public int getUDPPort()

  Return the port on which eventd listens for UDP data.

  Returns:
    the port on which eventd listens for UDP data

### getReceivers

    public int getReceivers()

  Return the number of event receivers to be started.

  Returns:
    the number of event receivers to be started

### getSocketSoTimeoutRequired

    public java.lang.String getSocketSoTimeoutRequired()

  Return string indicating if timeout is to be set on the socket.

  Returns:
    string indicating if timeout is to be set on the socket

### getSocketSoTimeoutPeriod

    public int getSocketSoTimeoutPeriod()

  Return timeout to be set on the socket.

  Returns:
    timeout is to be set on the socket

### hasSocketSoTimeoutPeriod

    public boolean hasSocketSoTimeoutPeriod()

  Return flag indicating if timeout to be set on the socket is specified.

  Returns:
    flag indicating if timeout to be set on the socket is specified <

### getGetNextEventID

    public java.lang.String getGetNextEventID()

  Return the SQL statemet to get the next event ID.

  Returns:
    the SQL statemet to get the next event ID

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.